Installation

Unable to install splunk-4.3.1-119532-Linux-i686

shangshin
Contributor

Hi,
I downloaded splunk-4.3.1-119532-Linux-i686.gz on line, extracted, and ran the command /splunk start. However, I got the error message below. I would appreciate if you can advise on how to make it work.

Thanks,
Shangshin

/apps/cores/splunk/bin/splunkd: error while loading shared libraries: libarchive.so.2: cannot open shared object file: No such file or directory
/apps/cores/splunk/bin/splunkd: error while loading shared libraries: libarchive.so.2: cannot open shared object file: No such file or directory

Splunk> The IT Search Engine.

Checking prerequisites...
Checking mgmt port [8089]: /apps/cores/splunk/bin/splunkd: error while loading shared libraries: libarchive.so.2: cannot open shared object file: No such file or directory
open
/apps/cores/splunk/bin/splunkd: error while loading shared libraries: libarchive.so.2: cannot open shared object file: No such file or directory
SSL certificate generation failed.

Tags (1)
0 Karma
1 Solution

Ayn
Legend

Did you really run splunk start and not splunkd start? You'd get those errors if you tried to run splunkd directly.

View solution in original post

0 Karma

Ayn
Legend

Did you really run splunk start and not splunkd start? You'd get those errors if you tried to run splunkd directly.

View solution in original post

0 Karma

shangshin
Contributor

problem solved. Thanks!

0 Karma

Ayn
Legend

You're using the wrong flags for tar. You should be running tar zxvf, not tar xvf, in order to have the file gunzipped.

shangshin
Contributor

It turns out linux version only works for wget download. http download won't work.

On the other hand, I got the error message to untar the file on 32-bit linux.

Any advice? Thanks!

'http://www.splunk.com/index.php/download_track?file=4.3.1/splunk/linux/splunk-4.3.1-119532-Linux-i68...'

31740819 Apr 6 19:08 splunk-4.3.1-119532-Linux-i686.tgz

tar xvf splunk-4.3.1-119532-Linux-i686.tgz
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers
tar: Error exit delayed from previous errors

0 Karma
.conf21 Now Fully Virtual!
Register for FREE Today!

We've made .conf21 totally virtual and totally FREE! Our completely online experience will run from 10/19 through 10/20 with some additional events, too!